%ifos darwin
%define __cpa %{__cp} -RPp
%else
%define __cpa %{__cp} -a
%endif
Name:		xerces-c
Version:	3.1.1
Release:	10.8%{?dist}1a
Summary:	XML parsers

Group:		Development/Tools
License:	Apache License
URL:		http://www.apache.org
Source0:	http://ftp.jaist.ac.jp/pub/apache/xerces/c/3/sources/xerces-c-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       rpm


%description
Xerces-C++ is a validating XML parser written in a portable subset of C++. 
Xerces-C++ makes it easy to give your application the ability to read and 
write XML data. 
A shared library is provided for parsing, generating, manipulating, and 
validating XML documents. Xerces-C++ is faithful to the XML 1.0 and 1.1 
recommendations and many associated standards.

The parser provides high performance, modularity, and scalability. Source 
code, samples and API documentation are provided with the parser. 
For portability, care has been taken to make minimal use of templates, 
no RTTI, and minimal use of #ifdefs.



%prep
%setup -q

%build
%ifnos darwin
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%endif
./configure --prefix=%{_prefix} --datadir=%{_prefix}/share/%{name} \
            --docdir=%{_prefix}/share/doc/%{name}-%{version} --mandir=%{_prefix}/share/man
%ifnos darwin
make %{?_smp_mflags}
%else
make
%endif


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
%{__cpa} CREDITS LICENSE doc $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%ifos darwin
%defattr(-,root,wheel,-)
%else
%defattr(-,root,root,-)
%endif
%{_datadir}/doc/%{name}-%{version}/
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*
#%{_datadir}/%{name}/
#%{_mandir}/man1/*.1*


%changelog
* Fri Dec 06 2013 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.8hepx1a
- 1st build and release on MacOSX 10.8

* Thu May 3 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.7hepx1a
- 1st build on MacOSX 10.7
- now for x86_64

* Wed Apr 4 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.6hepx1a
- 1st build on MacOSX

